# $Revision: 1.20 $, $Date: 2011/09/01 09:43:51 $
Summary:	Library for the Jabber instant-messaging IM platform
Summary(pl.UTF-8):	Biblioteka dla platformy komunikacyjnej Jabbera
Name:		iksemel
Version:	1.4
Release:	3
License:	LGPL
Group:		Libraries
Source0:	http://iksemel.googlecode.com/files/%{name}-%{version}.tar.gz
# Source0-md5:	532e77181694f87ad5eb59435d11c1ca
Patch0:		%{name}-configure.patch
URL:		http://code.google.com/p/iksemel/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	gnutls-devel >= 1.2.5
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Iksemel is a C library for the Jabber instant-messaging IM platform.
Iksemel handles Jabber connections, parses XML, and sends and receives
Jabber messages. It works pretty good for parsing other kinds of XML,
too, if the need arises.

%description -l pl.UTF-8
Iksemel jest biblioteką C dla platformy komunikacyjnej Jabbera.
Iksemel obsługuje połączenia Jabbera, analizuje XML oraz wysyła i
odbiera komunikaty Jabbera. Działa dobrze parsując także inne rodzaje
XML-a, jeśli jest taka potrzeba.

%package devel
Summary:	Iksemel library development files
Summary(pl.UTF-8):	Pliki dla programistów używających biblioteki Iksemel
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Iksemel library development files.

%description devel -l pl.UTF-8
Pliki dla programistów używających biblioteki Iksemel.

%package static
Summary:	Static Iksemel library
Summary(pl.UTF-8):	Statyczna wersja biblioteki Iksemel
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Iksemel library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki Iksemel.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc README ChangeLog
%attr(755,root,root) %{_bindir}/ikslint
%attr(755,root,root) %{_bindir}/iksperf
%attr(755,root,root) %{_bindir}/iksroster
%attr(755,root,root) %{_libdir}/libiksemel.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libiksemel.so.3

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libiksemel.so
%{_libdir}/libiksemel.la
%{_includedir}/iksemel.h
%{_pkgconfigdir}/iksemel.pc
%{_infodir}/iksemel

%files static
%defattr(644,root,root,755)
%{_libdir}/libiksemel.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: iksemel.spec,v $
Revision 1.20  2011/09/01 09:43:51  arekm
- release 3

Revision 1.19  2011/08/31 07:00:42  arekm
- release 2

Revision 1.18  2010/11/17 08:08:36  megabajt
- BR: pkgconfig

Revision 1.17  2010/11/17 08:07:07  megabajt
- updated to 1.4
- added -configure.patch

Revision 1.16  2008/01/16 15:52:17  arekm
- rel 3

Revision 1.15  2007-02-13 08:06:35  glen
- tabs in preamble

Revision 1.14  2007/02/12 00:48:56  baggins
- converted to UTF-8

Revision 1.13  2006/10/25 18:26:51  glen
- strict internal deps; adapter

Revision 1.12  2005/07/11 16:42:21  arekm
- BR gnutls >= 1.2.5

Revision 1.11  2005/05/10 18:54:54  darekr
- updated to 1.2
- BR: gnutls-devel; missing files

Revision 1.10  2004/12/20 22:46:17  undefine
- add pkgconfigdir/*, release 2

Revision 1.9  2004/08/31 15:52:46  snurf
- typos / formatting / etc.

Revision 1.8  2004/02/24 01:11:56  ankry
- pl fixes, cosmetics

Revision 1.7  2003/09/15 22:59:24  maryush
- update to 1.1 version

Revision 1.6  2003/08/27 19:17:39  misi3k
- updated to 1.0

Revision 1.5  2003/05/25 11:00:51  malekith
- massive attack, adding Source-md5

Revision 1.4  2003/05/25 05:48:51  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2002/11/25 14:16:44  ankry
- massive attack: no need for 755 for *.la

Revision 1.2  2002/11/14 21:38:15  qboosh
- cleanups, BRs, pl description

Revision 1.1  2002/11/14 15:09:50  wrobell
- based on template
